=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
  python3,
 Standards-Version: 4.2.1
 Homepage: https://anbox.io
-Vcs-Git: https://salsa.debian.org/zhsj-guest/anbox.git
-Vcs-Browser: https://salsa.debian.org/zhsj-guest/anbox
+Vcs-Git: https://salsa.debian.org/zhsj/anbox.git
+Vcs-Browser: https://salsa.debian.org/zhsj/anbox
 
 Package: anbox
 Architecture: amd64 arm64 armhf
