=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

HEADER_PACKAGES := libproperties-cpp-dev
EXTRA_SUBSTVARS := \
	-Vmisc:Built-Using="$(shell dpkg-query -Wf '$${source:Package}(=$${Version}),' $(HEADER_PACKAGES))"

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DENABLE_TOUCH_INPUT=ON \
		-DENABLE_WAYLAND=OFF \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DANBOX_VERSION=$(DEB_VERSION) \
		-DANBOX_VERSION_SUFFIX=$(DEB_VENDOR)

override_dh_auto_install:
	dh_auto_install
	cp snap/gui/icon.png debian/anbox.png

override_dh_gencontrol:
	dh_gencontrol -- $(EXTRA_SUBSTVARS)
