=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,5 @@
 include_directories(
   ${Boost_INCLUDE_DIRS}
-  ${GLIB_INCLUDE_DIRS}
-  ${GIO_INCLUDE_DIRS}
-  ${GIO-UNIX_INCLUDE_DIRS}
   ${MIRCLIENT_INCLUDE_DIRS}
   ${DBUS_INCLUDE_DIRS}
   ${SDL2_INCLUDE_DIRS}
@@ -357,3 +354,7 @@
   ${LXC_LDFLAGS}
   ${LXC_LIBRARIES}
   ${MIRCLIENT_LDFLAGS}
+  ${MIRCLIENT_LIBRARIES}
+  ${LIBSYSTEMD_LDFLAGS}
+  ${LIBSYSTEMD_LIBRARIES}
+  cpu_features
