=== tests/anbox/graphics/CMakeLists.txt ===
ANBOX_ADD_TEST(buffer_queue_tests buffer_queue_tests.cpp)
ANBOX_ADD_TEST(buffered_io_stream_tests buffered_io_stream_tests.cpp)
ANBOX_ADD_TEST(layer_composer_tests layer_composer_tests.cpp)
ANBOX_ADD_TEST(render_control_tests render_control_tests.cpp)
