=== debian/changelog ===
anbox (0.0~git20190124-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.
  * Use googletest as alternative B_D.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 20 May 2019 13:14:09 -0700

anbox (0.0~git20190124-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add 0006-unsafe-workaround-for-issue-1057.patch (Closes: #923403)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 02 Mar 2019 00:03:49 +0800

anbox (0.0~git20181210-1) unstable; urgency=medium

  * New upstream snapshot.
    + Add SWIFTSHADER_PATH env to enable software rendering
      outside snap (Closes: #909157)
  * Ensure depending on right lxc version after rebuilding with
    lxc3. (Closes: #915821)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 14 Dec 2018 00:31:33 +0800
