=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: anbox
 Section: contrib/utils
 Priority: optional
-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  cmake,
- debhelper (>= 11),
+ debhelper (>= 10),
  libboost-filesystem-dev,
  libboost-iostreams-dev,
  libboost-log-dev,
@@ -14,7 +15,7 @@
  libcap-dev,
  libegl1-mesa-dev,
  libgles2-mesa-dev,
- libgmock-dev,
+ libgmock-dev | googletest,
  libproperties-cpp-dev,
  libprotobuf-dev,
  libsdl2-dev,
@@ -36,9 +37,9 @@
  iptables,
  libegl1,
  libgles2,
- lxc,
  ${misc:Depends},
  ${shlibs:Depends},
+ ${misc:LxcDepends},
 Recommends:
  dbus-user-session,
 Description: Android in a box
