=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,17 @@
 HEADER_PACKAGES := libproperties-cpp-dev
 EXTRA_SUBSTVARS := \
 	-Vmisc:Built-Using="$(shell dpkg-query -Wf '$${source:Package}(=$${Version}),' $(HEADER_PACKAGES))"
+LXC_VER := $(shell dpkg-query -Wf '$${Version}' lxc)
+LXC_EPOCH := $(shell echo $(LXC_VER) | sed -e 's/[^:]*$$//')
+LXC_MAJOR_VER := $(shell echo $(LXC_VER) | sed -e 's/\..*$$//'|sed -e 's/^[0-9]*://')
+
+ifeq ($(LXC_MAJOR_VER), 2)
+	EXTRA_SUBSTVARS += \
+		-Vmisc:LxcDepends="lxc"
+else
+	EXTRA_SUBSTVARS += \
+		-Vmisc:LxcDepends="lxc (>= $(LXC_EPOCH)3.0.0)"
+endif
 
 %:
 	dh $@
@@ -25,3 +36,6 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(EXTRA_SUBSTVARS)
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
